# ezQuake Manual: Network Settings Variables

## cl_c2sImpulseBackup

### Description

Used with cl_c2spps, it controls how many backup copies of packets with non-zero impulses are to be sent to the server. The recommended value is 3, but you can try 2 or even 1 to reduce traffic if you don't have any packet loss.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## cl_c2spps

### Description

Packet filtering (a la Qizmo's .c2spps command). Use this to reduce network traffic if you're playing on a 28800 (or worse) connection and can't set cl_maxfps 72 because it causes lags.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_chunksperframe

### Description

Affects the download speed when using chunked downloads, more chunks per frame results in higher download speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

Servers can limit the amount of chunks sent per frame

## cl_crypt_rcon

### Description

Encrypts rcon messages sent to server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## cl_fix_mvd

### Description

A fix for buggy MVD demos, making the client to parse them properly

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

Was caused by a flaw in MVDSV server

## cl_nodelta

### Description

Control the network packet delta compression. When you get blue lines in your netgraph, you should set 'cl_nodelta 1'.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Disable delta compression.
0 | Enable delta compression.

## cl_nopred

### Description

For debugging, disables movement prediction for your character; other players are still predicted.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Don't predict movement
0 | Predict movement

## cl_pext_chunkeddownloads

### Description

Enables protocol extension called \"Chunked downloads\". Allows you to download maps and demos from servers faster.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## cl_pext_other

### Description

Allows other protocol extensions other than Chunked downloads

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## cl_predict_half

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Predicting half the move (QW 2.30 default)
0 | Full prediction of players' movement (ezQuake default)

The new default eliminates player models' jittering when independent physics is enabled; a possible downside is larger prediction errors of modem players' movement, hence the option to revert to old behavior.

## cl_predict_players

### Description

This toggles the prediction for other players' movement. Unless you are having problems this variable should be left at "1".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## cl_solid_players

This variable has been updated

### Description

Whether the movement prediction engine should treat other players as solid.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

Default is 1 and there's no reason to change it.

## cl_timeout

### Description

This variable defines the timeout value in seconds until the client considers himself to be disconnected from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 60

Variable is float.

## cl_useproxy

### Description

This toggles whether Qizmo should be used (if detected) to a server. When enabled the server browser will use an existing connection to a Qizmo when connecting another server by using the ezQuake Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | use Qizmo to connect a server chosen in the Server Browser
0 | do not use Qizmo to connect a server chosen in the Server Browser

## pushlatency

### Description

A legacy cvar for compatibility with old configs. Does nothing in ezQuake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -999

### Values

value | description

Some people suggest to use the negative value of your ping to achieve the best results, however in most cases the default value of "0" should be fine.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs